.baihe_goods_read2 {
    padding: var(--component-gap) 0 0;
}

.baihe_goods_read2 .row {
    flex-direction: column;
    gap: var(--component-gap-sm);
}

.baihe_goods_read2_goBack {
    width: fit-content;
    padding: 0 25px;
    border-radius: 6px;
    background: var(--color-second);
    margin: calc(var(--component-gap) + 18px) 0;
}

.baihe_goods_read2 .row,
.baihe_goods_read2 .swiper {
    padding: 0;
    margin: 0;
}


.baihe_goods_read2_left {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 120px;
}

.baihe_goods_read2_right {
    width: 100%;
}

#product-slider {
    flex: 1;
    min-width: 0;
    height: fill-available;
    height: -webkit-fill-available;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-sizing: border-box;
}

#product-slider .swiper-button-prev:after,
#product-slider .swiper-button-next:after {
    display: none;
}

#product-slider .swiper-button-prev i,
#product-slider .swiper-button-next i {
    font-size: 24px !important;
    color: rgba(102, 102, 102, 1) !important;
    font-weight: bolder !important;
    line-height: 2.3 !important;
}

#product-slider .swiper-button-prev:hover i,
#product-slider .swiper-button-next:hover i {
    color: #fff !important;
}


#product-slider .swiper-wrapper {
    height: auto !important;
}

.swiper-button-prev.swiper-button-disabled,
.swiper-button-next.swiper-button-disabled {
    opacity: 1 !important;
}

.swiper-button-wrapper {
    display: flex;
    align-items: center;
    gap: 40px;
}

#product-slider .swiper-button-next,
#product-slider .swiper-button-prev {
    width: calc((100% - 40px) / 2);
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
    background: rgba(242, 177, 75, 0.15);
    top: 0;
    margin-top: 0;
    position: relative;
    top: 0;
    left: 0;
}

#product-slider .swiper-button-next:hover,
#product-slider .swiper-button-prev:hover {
    background: var(--color-primary);
}

#product-slider::-webkit-scrollbar {
    display: none;
}

#product-thumbs-slider {
    flex-shrink: 0;
    width: 48%;
    aspect-ratio: 1/1;
}

#product-thumbs-slider .fix-wh {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
}
#product-thumbs-slider .swiper-slide a{
  display: block;
    width: 100%;
    height: 100%;
}

#product-thumbs-slider .swiper-slide i{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50% , -50%);
  color: #fff;
  font-size: 24px;
}

#product-slider .product-slider-swiper {
    flex: 1;
    overflow: hidden;
}

#product-slider .product-item:nth-child(4n+3),
#product-slider .product-item:nth-child(4n+4) {
    margin-top: 48px !important;
}

#product-slider .product-item {
    aspect-ratio: 14/13;
    height: auto !important;
    object-fit: cover;
    box-sizing: border-box;
}

#product-slider img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
    filter: opacity(0.6);
}
#product-slider .swiper-slide i{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50% , -50%);
  color: #fff;
  font-size: 24px;
}
#product-slider .swiper-slide-thumb-active img {
    border: 2px solid var(--color-primary);
    filter: opacity(1);
}

.baihe_goods_read2_right .product-title {
    width: 60%;
    color: var(--title-text-color);
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
    max-height: calc(var(--title-size-h3) * 2.5 * 2);
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    font-family: var(--title-font-family);
}

.baihe_goods_read2_right .baihe_goods_read2_right_desc {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 30px;
}

.baihe_goods_read2_right .line {
    width: 60%;
    height: 1px;
    background: #D9D9D9;
    margin: 30px 0 24px;
}

.baihe_goods_read2_right_advanced {
    max-width: 60%;
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.75;
    padding-left: 20px;
}

.baihe_goods_read2_right_advanced ul {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.baihe_goods_read2_right_advanced li {
    width: calc((100% - 10px)/2);
    list-style-type: disc;
    color: var(--color-second);
    line-height: 1.75;
}

.baihe_goods_read2_right_advanced li span {
    color: var(--text-color);
    line-height: 1.75;
}

.baihe_goods_read2_right_medias {
    display: flex;
    align-items: center;
    gap: 6px;
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin: 13px 0 24px;
    color: var(--text-color);
    font-size: var(--text-size);
    line-height: 1.625;
}

.baihe_goods_read2_right_medias a {
    width: 23px;
    height: 23px;
    border-radius: 3px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.baihe_goods_read2_right_medias a:nth-child(1) {
    background: #4267B5;
}

.baihe_goods_read2_right_medias a:nth-child(2) {
    background: #000000;
}

.baihe_goods_read2_right_medias a:nth-child(3) {
    background: #0076B3;
}

.baihe_goods_read2_right_medias a:nth-child(4) {
    background: #CB2026;
}

.baihe_goods_read2_right_medias a img {
    width: 13px;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.baihe_goods_read2 .baihe_btn {
    margin-top: var(--component-gap-sm);
}

.baihe_goods_read2_right_content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.baihe_goods_read2_right_content_left {
    max-width: 60%;
}

.baihe_goods_read2_right_content_right {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.baihe_goods_read2_mobile_list {
    margin-top: calc(var(--component-gap-sm) * 2 - 10px);
}

.baihe_goods_read2_mobile_item_title {
    background: rgba(242, 177, 75, 0.15);
    padding: 23px 30px;
    color: var(--title-text-color);
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
    font-family: var(--title-font-family);
}

.baihe_goods_read2_mobile_application_content_box {
    padding: calc(var(--component-gap) + 10px) 0 calc(var(--component-gap) * 2);
}

.baihe_goods_read2_mobile_application_content {
    position: relative;
    padding: calc(var(--component-gap-sm) - 5px) var(--component-gap) var(--text-size);
}

.baihe_goods_read2_mobile_application_bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 19px;
    z-index: -1;
}

.baihe_goods_read2_mobile_application_content_desc,
.baihe_goods_read2_mobile_application_content_desc p {
    color: #FFF;
    font-size: var(--title-size-h5);
    font-weight: 500;
    line-height: 1.5;
    font-family: var(--font-medium-family);
}

.baihe_goods_read2_mobile_application_content_list {
    margin-top: 37px !important;
}

.baihe_goods_read2_mobile_application_content_list_item img {
    width: 100%;
    aspect-ratio: 305/171;
    object-fit: cover;
}

.baihe_goods_read2_mobile_application_content_list_item_title {
    color: #FFF;
    text-align: center;
    font-size: var(--text-title-size);
    font-weight: 500;
    line-height: 1.5;
    font-family: var(--font-medium-family);
    word-break: keep-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-top: 7px;
}

.baihe_goods_read2_mobile_description_content {
    padding: calc(var(--component-gap) + 10px) 0 calc(var(--component-gap) * 2);
    display: flex;
    flex-direction: column;
    gap: calc(var(--component-gap-sm) - 5px);
}

.baihe_goods_read2_mobile_description_content_item img {
   
    width: 47%;
}

.baihe_goods_read2_mobile_description_content_item_content {
    flex: 1;
}

.baihe_goods_read2_mobile_description_content_item_title {
    color: var(--color-second);
    font-size: var(--title-size-h5);
    font-weight: 700;
    line-height: 1.5;
    font-family: var(--title-font-family);
    margin-bottom: 30px;
}

.baihe_goods_read2_mobile_description_content_item_desc p {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    min-height: calc(var(--text-size) * 1.625);
}

.baihe_goods_read2_mobile_security {
    padding-bottom: calc(var(--component-gap) * 2);
}

.baihe_goods_read2_mobile_item_title_security {
    color: var(--color-primary);
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
    font-family: var(--title-font-family);
    text-align: center;
}

.baihe_goods_read2_mobile_security_content {
    position: relative;
    margin-top: calc(var(--component-gap-sm) / 2);
    padding: 38px 30px 26px;
}

.baihe_goods_read2_mobile_security_bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 19px;
    z-index: -1;
}

.baihe_goods_read2_mobile_security_content_item {
    position: relative;
    background: #fff;
    padding: 48px 18px 14px 33px;
    border-radius: 14px;
    overflow: hidden;
    z-index: -2;
}

.baihe_goods_read2_mobile_security_content_item svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    object-fit: cover;
    z-index: -1;
}

.baihe_goods_read2_mobile_security_content_item img {
    position: absolute;
    top: 8px;
    left: 19px;
    width: 22px;
    aspect-ratio: 1/1;
    object-fit: cover;
    z-index: -1;
}

.baihe_goods_read2_mobile_security_content_item_title {
    position: absolute;
    top: 11px;
    left: 0;
    transform: translateX(25%);
    color: #FFF;
    width: 75%;
    font-size: var(--text-size);
    font-weight: 700;
    line-height: 1.625;
    font-family: var(--title-font-family);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.baihe_goods_read2_mobile_security_content_item_desc,
.baihe_goods_read2_mobile_security_content_item_desc p {
    color: #FFF;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    height: calc(var(--text-size) * 1.625 * 4);
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
}


.baihe_goods_read2_mobile_video_content {
    padding: calc(var(--component-gap) + 10px) 0 calc(var(--component-gap) * 2);
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.baihe_goods_read2_mobile_video_item {
    width: calc(50% - 15px);
    position: relative;
    border-radius: 20px;
    overflow: hidden;
}

.baihe_goods_read2_mobile_video_item:first-child {
    width: 100%;
}

.baihe_goods_read2_mobile_video_item img {
    width: 100%;
    aspect-ratio: 735/400;
    object-fit: cover;
}

.baihe_goods_read2_mobile_video_item:first-child img {
    aspect-ratio: 150/55;
}

.baihe_goods_read2_mobile_video_item .play-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.20);
    backdrop-filter: blur(10px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.baihe_goods_read2_mobile_video_item .play-icon i {
    color: var(--color-primary);
    font-size: 30px;
}


.baihe_goods_read2_mobile_table_content {
    padding: calc(var(--component-gap) + 10px) 0 calc(var(--component-gap) * 2);
    overflow-x: auto;
}

.baihe_goods_read2_mobile_table_content::-webkit-scrollbar {
    display: none;
}

.baihe_goods_read2_mobile_table table {
    min-width: 576px;
    width: 100%;
}

.baihe_goods_read2_mobile_table table tr {
    border-bottom: 1px solid #D9D9D9;
}

.baihe_goods_read2_mobile_table table td {
    width: auto !important;
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    padding: 14px 3px;
}

.baihe_goods_read2_mobile_table table tr:first-child td {
    color: #000;
    font-size: var(--text-title-size);
    font-weight: 700;
    line-height: 1.5;
    padding: 13px 10px 13px 0;
    white-space: nowrap;
    font-family: var(--title-font-family);
}

.baihe_goods_read2_mobile_faq_content {
    padding: calc(var(--component-gap) + 10px) 0 calc(var(--component-gap) * 2);
    display: flex;
    flex-direction: column;
    gap: 17px;
}

.baihe_goods_read2_mobile_faq_item {
    width: 100%;
    display: flex;
    padding: 30px 56px 30px 30px;
    border-radius: 10px;
    background: #F5F5F5;
    gap: 12px;
}

.baihe_goods_read2_mobile_faq_item_icon img {
    width: 30px;
    height: 30px;
    object-fit: cover;
}

.baihe_goods_read2_mobile_faq_item_title {
    color: var(--title-text-color);
    font-size: var(--text-title-size);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 1.5;
}

.baihe_goods_read2_mobile_faq_item_content {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 10px;
}

.baihe_goods_read2_mobile_faq_item:hover {
    background: var(--color-primary);
}

.baihe_goods_read2_mobile_faq_item_icon .faq_icon_hover {
    display: none;
}

.baihe_goods_read2_mobile_faq_item:hover .baihe_goods_read2_mobile_faq_item_icon .faq_icon_hover {
    display: block;
}

.baihe_goods_read2_mobile_faq_item:hover .baihe_goods_read2_mobile_faq_item_icon .faq_icon {
    display: none;
}

.baihe_goods_read2_mobile_item_title_after_sale {
    color: var(--title-text-color);
    font-size: 48px;
    font-weight: 700;
    line-height: 1.125;
    font-family: var(--title-font-family);
    text-align: center;
}

.baihe_goods_read2_mobile_item_title_after_sale b {
    color: var(--color-second);
}

.baihe_goods_read2_mobile_after_sale_content {
    margin-top: calc(var(--component-gap-sm) - 10px);
    position: relative;
}

.baihe_goods_read2_mobile_after_sale_bg {
    position: relative;
    width: 100%;
    height: 850px;
    object-fit: cover;
    object-position: top;
    z-index: -2;
}

.baihe_goods_read2_mobile_after_sale_content_box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background: linear-gradient(177deg, #FFF 0%, #FFF 15.34%, rgba(255, 255, 255, 0.00) 40.01%);
}

.baihe_goods_read2_mobile_after_sale_content_box .container {
    height: 100%;
}

.baihe_goods_read2_mobile_after_sale_content_box_list {
    height: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-content: center;
    column-gap: 40px;
    row-gap: 55px;
    margin-top: -50px;
}

.baihe_goods_read2_mobile_after_sale_content_box_item {
    display: flex;
}

.baihe_goods_read2_mobile_after_sale_content_box_item_box {
    padding: 24px 30px 24px 50px;
    width: calc(50% - 20px);
    border-radius: 13px;
    background: rgba(237, 181, 75, 0.68);
    backdrop-filter: blur(50px);
}

.baihe_goods_read2_mobile_after_sale_content_box_item_desc {
    display: list-item;
    list-style-type: disc;
    color: #FFF;
    font-size: var(--text-size);
    font-weight: 700;
    line-height: 1.625;
    font-family: var(--title-font-family);
}

.baihe_goods_read2_mobile_after_sale_content_box_item:nth-child(4n+3),
.baihe_goods_read2_mobile_after_sale_content_box_item:nth-child(4n+4) {
    justify-content: flex-end;
}


@media screen and (max-width: 1500px) {
    .baihe_goods_read2_mobile_item_title_after_sale {
        font-size: var(--title-size-h2);
    }
}

@media screen and (max-width: 1200px) {
    .baihe_goods_read2_mobile_after_sale_content_box {
            background: linear-gradient(177deg, #FFF 0%, #FFF 10.34%, rgba(255, 255, 255, 0.00) 40.01%);
    }
    .baihe_goods_read2_mobile_after_sale_content_box_item_box {
        padding: 16px 20px 16px 40px;
    }

    .baihe_goods_read2_mobile_after_sale_content_box_list {
        column-gap: 20px;
        row-gap: 30px;
    }

    .baihe_goods_read2_mobile_after_sale_content_box_item_box {
        width: calc(50% - 10px);
    }

    .baihe_goods_read2_mobile_security_content_item img {
        width: 20px;
        left: 12px;
    }

    .baihe_goods_read2_right_advanced ul {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        gap: 0px;
    }

    .baihe_goods_read2_right_advanced li {
        width: 100%;
    }

    .baihe_goods_read2_left {
        gap: 40px;
    }

    .swiper-button-wrapper {
        gap: 30px;
    }

    #product-slider .product-item:nth-child(4n+3),
    #product-slider .product-item:nth-child(4n+4) {
        margin-top: 20px !important;
    }

    #product-slider .swiper-button-prev i,
    #product-slider .swiper-button-next i {
        font-size: 20px !important;
        line-height: 2 !important;
    }

    #product-slider .swiper-button-next,
    #product-slider .swiper-button-prev {
        width: calc((100% - 30px) / 2);
    }
}

@media screen and (max-width: 992px) {
    .baihe_goods_read2_mobile_after_sale_bg{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: top;
        z-index: -1;
    }
    .baihe_goods_read2_mobile_after_sale_content_box_list{
        margin-top: 0;
        padding: var(--component-gap) 0;
    }
    .baihe_goods_read2_mobile_after_sale_content_box{
        position: relative;
        z-index: 1;
        background: linear-gradient(177deg, #FFF 0%, #FFF 10.34%, rgba(255, 255, 255, 0.00) 40.01%);
    }
    .baihe_goods_read2_mobile_after_sale_content_box_item_box{
        width: 100%;
    }
    .baihe_goods_read2_mobile_description_content_item {
        flex-direction: column !important;
        gap: var(--component-gap-sm) !important;
    }

    .baihe_goods_read2_mobile_description_content_item_title {
        margin-bottom: 12px;
    }

    .baihe_goods_read2_mobile_description_content_item img {
        width: 100%;
        order: -1;
    }

    .baihe_goods_read2_right .line,
    .baihe_goods_read2_right .product-title {
        width: 100%;
    }

    .baihe_goods_read2_right_content,
    .baihe_goods_read2_right_content_right {
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
    }

    .baihe_goods_read2_right .baihe_goods_read2_right_desc {
        margin-top: 20px;
    }

    .baihe_goods_read2_right .line {
        margin: 20px 0 16px;
    }

    .baihe_goods_read2_right_medias {
        margin-bottom: 0;
    }

    .baihe_goods_read2_right_content_left,
    .baihe_goods_read2_right_advanced {
        max-width: 100%;
    }

    .baihe_goods_read2_left {
        gap: 30px;
    }

    .swiper-button-wrapper {
        gap: 20px;
    }

    #product-slider .swiper-button-next,
    #product-slider .swiper-button-prev {
        width: calc((100% - 20px) / 2);
    }

    #product-slider .swiper-button-prev i,
    #product-slider .swiper-button-next i {
        font-size: 14px !important;
        line-height: 2 !important;
    }

    .baihe_goods_read2_right_advanced {
        padding-left: 20px;
    }

    .baihe_goods_read2_left {
        padding-right: 0px;
    }

    #Description img {
        width: 100% !important;
        height: auto !important;
        object-fit: cover !important;
    }

    .baihe_goods_read2_left {
        width: 100%;
    }

    .baihe_goods_read2_right {
        width: 100%;
    }

    .baihe_goods_read2_right_advanced {
        flex-direction: column;
        gap: 0px;
    }

    .baihe_goods_read2_right_advanced_item {
        width: 100%;
        padding: 20px;
    }

    .baihe_goods_read2_right_advanced_item_content,
    .baihe_goods_read2_right_advanced_item_content p {
        height: calc(var(--text-size) * 1.625 * 4);
        -webkit-line-clamp: 4;
    }


    .baihe_goods_read2_mobile_video_content {
        gap: 10px;
    }

    .baihe_goods_read2_mobile_video_item .play-icon {
        width: 46px;
        height: 46px;
    }

    .baihe_goods_read2_mobile_video_item .play-icon i {
        font-size: 16px;
    }

    .baihe_goods_read2_mobile_video_item {
        width: calc(50% - 5px);
    }

    .baihe_goods_read2_mobile_video_item {
        border-radius: 10px;
    }
}

@media screen and (max-width: 768px) {
     .baihe_goods_sale_list{
        display: none !important;
    }
    .baihe_goods_read2_mobile_after_sale_content_box{
        padding: var(--component-gap) 0;
    }
    
    .baihe_goods_read2_mobile_security_content {
        padding: 20px 15px 16px;
    }

    .baihe_goods_read2_mobile_security_content_item img {
        width: 16px;
        left: 5%;
    }

    .baihe_goods_read2 {
        padding: var(--component-gap) 0;
    }

    .swiper-button-wrapper {
        gap: 10px;
    }

    .baihe_goods_read2_left {
        gap: 20px;
    }

    #product-slider .product-item:nth-child(4n+3),
    #product-slider .product-item:nth-child(4n+4) {
        margin-top: 10px !important;
    }

    #product-slider .swiper-button-next,
    #product-slider .swiper-button-prev {
        width: calc((100% - 10px) / 2);
    }

    #product-slider .swiper-button-prev i,
    #product-slider .swiper-button-next i {
        font-size: 12px !important;
        line-height: 1.625 !important;
    }

    #Description p,
    #Description ul,
    #Description li {
        font-size: 14px !important;
    }
}

@media screen and (max-width: 576px) {

    #product-slider .swiper-button-prev i,
    #product-slider .swiper-button-next i {
        font-size: 12px !important;
        line-height: 2.4 !important;
    }

    .baihe_goods_read2_left {
        flex-direction: column;
    }

    #product-thumbs-slider {
        width: 100%;
    }

    #product-slider {
        flex: none;
        width: 100%;
        gap: 10px;
    }

    #Description span,
    #Description p,
    #Description ul,
    #Description li {
        font-size: 12px !important;
    }

    #product-slider i {
        font-size: 16px !important;
    }

    .baihe_goods_read2_right_title {
        padding: 16px;
    }
}